Package ghidra.graph.viewer.vertex

# Class DockingVisualVertex

java.lang.Object
ghidra.graph.viewer.vertex.AbstractVisualVertex
ghidra.graph.viewer.vertex.DockingVisualVertex

All Implemented Interfaces:
  `GVertex`, `VisualVertex`

public class DockingVisualVertex extends AbstractVisualVertex
A `VisualVertex` implementation that provides a component with a docking header that is clickable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DockingVisualVertex(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  A dispose method that should be called when a vertex is reclaimed, never again to be used in a graph or display
  `boolean`
  `equals(Object obj)`
  `JComponent`
  `getComponent()`
  Returns the component of this vertex.
  `String`
  `getName()`
  `String`
  `getText()`
  `JTextArea`
  `getTextArea()`
  `int`
  `hashCode()`
  `boolean`
  `isGrabbable(Component c)`
  Returns true if the given component of this vertex is grabbable, which means that mouse drags on that component will move the vertex.
  `void`
  `setFocused(boolean focused)`
  Sets this vertex to be focused.
  `void`
  `setMaxWidth(int width)`
  `void`
  `setSelected(boolean selected)`
  Sets this vertex selected
  `String`
  `toString()`

  ### Methods inherited from class ghidra.graph.viewer.vertex.AbstractVisualVertex

  `getAlpha, getEmphasis, getLocation, isFocused, isHovered, isSelected, setAlpha, setEmphasis, setHovered, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DockingVisualVertex

    public DockingVisualVertex(String name)

- ## Method Details

  - ### isGrabbable

    public boolean isGrabbable(Component c)
    Description copied from interface: `VisualVertex`
    Returns true if the given component of this vertex is grabbable, which means that mouse drags on that component will move the vertex.

    This is used to differentiate components within a vertex that should receive mouse events versus those components that will not be given mouse events.

    Specified by:
      `isGrabbable` in interface `VisualVertex`
    Overrides:
      `isGrabbable` in class `AbstractVisualVertex`
    Parameters:
      `c` - the component
    Returns:
      true if the component is grabbable

  - ### getComponent

    public JComponent getComponent()
    Description copied from interface: `VisualVertex`
    Returns the component of this vertex. This is used for rendering and interaction with the user.
    Returns:
      the component of this vertex

  - ### getTextArea

    public JTextArea getTextArea()

  - ### getText

    public String getText()

  - ### getName

    public String getName()

  - ### setMaxWidth

    public void setMaxWidth(int width)

  - ### setFocused

    public void setFocused(boolean focused)
    Description copied from interface: `VisualVertex`
    Sets this vertex to be focused. This differs from being selected in that multiple vertices in a graph can be selected, but only one can be the focused vertex.
    Specified by:
      `setFocused` in interface `VisualVertex`
    Overrides:
      `setFocused` in class `AbstractVisualVertex`
    Parameters:
      `focused` - true to focus; false to be marked as not focused

  - ### setSelected

    public void setSelected(boolean selected)
    Description copied from interface: `VisualVertex`
    Sets this vertex selected
    Specified by:
      `setSelected` in interface `VisualVertex`
    Overrides:
      `setSelected` in class `AbstractVisualVertex`
    Parameters:
      `selected` - true to select this vertex; false to de-select this vertex

  - ### dispose

    public void dispose()
    Description copied from interface: `VisualVertex`
    A dispose method that should be called when a vertex is reclaimed, never again to be used in a graph or display

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`